############################################################
#                   SYSTEM VARIABLES                       #
############################################################

############# Base dirs #############

# Tizen 3 (single user):
#TZ_SYS_HOME=/home
#TZ_SYS_ROOT=/opt/usr/home/root
#TZ_SYS_SHARE=/opt/share
#TZ_SYS_ETC=/opt/etc
#TZ_SYS_DATA=/opt/data
#TZ_SYS_BIN=/usr/bin
#TZ_SYS_SMACK=/opt/etc/smack
#TZ_SYS_STORAGE=/opt/storage
#TZ_SYS_USER_GROUP=app

# Tizen 3 (multi user):
TZ_SYS_OPT=/opt
TZ_SYS_TMP=/tmp
TZ_SYS_RUN=/run
TZ_SYS_USER=/opt/usr
TZ_SYS_HOME=/opt/usr/home
TZ_SYS_ROOT=/root
TZ_SYS_SHARE=/opt/share
TZ_SYS_RO_SHARE=/usr/share
TZ_SYS_ETC=/opt/etc
TZ_SYS_RO_ETC=/etc
TZ_SYS_DATA=/opt/data
TZ_SYS_BIN=/usr/bin
TZ_SYS_SBIN=/usr/sbin
TZ_SYS_SMACK=/etc/smack
TZ_SYS_STORAGE=/opt/media
TZ_SYS_EXTENDEDSD=/opt/extendedsd
TZ_SYS_MEDIA=/opt/media
TZ_SYS_MEDIASHARED=/opt/usr/media_shared
TZ_SYS_TEMP_MNT=/mnt
TZ_SYS_SRV=/srv
TZ_SYS_VAR=/opt/var
TZ_SYS_USER_GROUP=users
TZ_SYS_GLOBALAPP_USER=tizenglobalapp
TZ_SYS_ADMIN_GROUP=system
TZ_SYS_GLOBALUSER_DATA=/opt/usr/data
TZ_SYS_GLOBALUSER_DB=/opt/usr/dbspace

# which user to use when applications start request are sent by system daemons
TZ_SYS_DEFAULT_USER=owner

# The default directory to store coredumps and logdumps when a crash is occurred
TZ_SYS_CRASH_ROOT=/opt/usr/share/crash
TZ_SYS_CRASH=${TZ_SYS_CRASH_ROOT}/dump
TZ_SYS_ALLLOGS=${TZ_SYS_CRASH_ROOT}/log
TZ_SYS_DUMPGEN=${TZ_SYS_ETC}/dump.d

# The default directory for system upgrade
TZ_SYS_UPGRADE=/usr/share/upgrade
TZ_SYS_UPGRADE_DATA=/opt/usr/data/upgrade
TZ_SYS_UPGRADE_SCRIPTS=${TZ_SYS_UPGRADE}/scripts

############# Core & Framework dirs #############

# Tizen 3 (single user):
#TZ_SYS_DB=/opt/dbspace
#TZ_SYS_CONFIG=/opt/var/kdb
#TZ_SYS_RW_APP=/opt/apps
#TZ_SYS_RO_APP=/usr/apps
#TZ_SYS_APP_PREINSTALL=/opt/usr/apps/.preinstallWidgets
#TZ_SYS_RW_ICONS=/opt/share/icons
#TZ_SYS_RO_ICONS=/usr/share/icons
#TZ_SYS_RW_WIDGET=/opt/share/widget
#TZ_SYS_RO_WIDGET=/usr/share/widget
#TZ_SYS_RW_DESKTOP_APP=/opt/share/applications
#TZ_SYS_RO_DESKTOP_APP=/usr/share/applications
#TZ_SYS_RW_WRT_ENGINE=/opt/share/wrt-engine
#TZ_SYS_RO_WRT_ENGINE=/usr/share/wrt-engine
#TZ_SYS_RW_PACKAGES=/opt/share/packages
#TZ_SYS_RO_PACKAGES=/usr/share/packages
#TZ_SYS_WRT_CONF=/usr/etc/wrt
#TZ_SYS_WRT_PLUGINS_CONF=/usr/etc/wrt-plugins
#TZ_SYS_TIZEN_APIS_CONF=/usr/etc/tizen-apis
#TZ_SYS_ACE_CONF=/usr/etc/ace
#TZ_SYS_RW_UG=/opt/ug
#TZ_SYS_RO_UG=/usr/ug

# Tizen 3 (multi user):
TZ_SYS_APP_PREINSTALL=/opt/usr/apps/.preinstallWidgets
TZ_SYS_DB=/opt/dbspace
TZ_SYS_DEBUG_PORT=9222
TZ_SYS_CONFIG=/usr/kdb
TZ_SYS_RW_APP=/opt/usr/globalapps
TZ_SYS_RO_APP=/usr/apps
TZ_SYS_EXTENDEDSD_APP=${TZ_SYS_EXTENDEDSD}/globalapps
TZ_SYS_RW_ICONS=/usr/share/icons
TZ_SYS_RO_ICONS=/usr/share/icons
TZ_SYS_RW_WIDGET=/usr/share/widget
TZ_SYS_RO_WIDGET=/usr/share/widget
TZ_SYS_RW_DESKTOP_APP=/usr/share/applications
TZ_SYS_RO_DESKTOP_APP=/usr/share/applications
TZ_SYS_RW_WRT_ENGINE=/usr/share/wrt-engine
TZ_SYS_RO_WRT_ENGINE=/usr/share/wrt-engine
TZ_SYS_RW_PACKAGES=/opt/share/packages
TZ_SYS_RO_PACKAGES=/usr/share/packages
TZ_SYS_WRT_PLUGINS_CONF=/etc/wrt-plugins
TZ_SYS_TIZEN_APIS_CONF=/etc/tizen-apis
TZ_SYS_ACE_CONF=/etc/ace
TZ_SYS_RW_UG=/usr/ug
TZ_SYS_RO_UG=/usr/ug

############################################################
#                   SDK VARIABLES                          #
############################################################

TZ_SDK_USER_NAME=${TZ_SYS_DEFAULT_USER}
TZ_SDK_HOME=/home/${TZ_SDK_USER_NAME}
TZ_SDK_TOOLS=${TZ_SDK_HOME}/share/tmp/sdk_tools

############################################################
#                   USER VARIABLES                         #
############################################################

############# Base dirs #############

# Tizen 3 (single user):
#TZ_USER_NAME=app
#TZ_USER_HOME=$TZ_SYS_HOME/app
#TZ_USER_SHARE=/opt/usr/share
#TZ_USER_DATA=/opt/usr/data
#TZ_USER_ETC=/opt/usr/etc
#TZ_USER_LIVE=/opt/usr/live
#TZ_USER_UG=/opt/usr/ug

# Tizen 3 (multi user):
TZ_USER_NAME=${USER}
TZ_USER_HOME=${HOME}
TZ_USER_SHARE=${TZ_USER_HOME}/share
TZ_USER_DATA=${TZ_USER_HOME}/data
TZ_USER_ETC=${TZ_USER_HOME}/etc
TZ_USER_LIVE=${TZ_USER_HOME}/live
TZ_USER_UG=${TZ_USER_HOME}/ug

############# Core & Framework dirs #############

# Tizen 3 (single user):
#TZ_USER_DB=/opt/usr/dbspace
#TZ_USER_CONFIG=/opt/var/kdb
#TZ_USER_APP=/opt/usr/apps

# Tizen 3 (multi user):
TZ_USER_APPROOT=${TZ_USER_HOME}/.applications
TZ_USER_DB=${TZ_USER_APPROOT}/dbspace
TZ_USER_PACKAGES=${TZ_USER_APPROOT}/manifest
TZ_USER_DESKTOP=${TZ_USER_APPROOT}/desktop
TZ_USER_ICONS=${TZ_USER_APPROOT}/icons
#TZ_USER_CONFIG=$TZ_USER_HOME/kdb
TZ_USER_APP=${TZ_USER_HOME}/apps_rw
TZ_USER_EXTENDEDSD_APP=${TZ_SYS_EXTENDEDSD}/apps/${TZ_USER_NAME}/apps_rw
TZ_USER_CACHE=${TZ_USER_HOME}/.cache
TZ_USER_CONFIG=${TZ_USER_HOME}/.config

############# Content dirs #############

# Tizen 3 (single user):
#TZ_USER_CONTENT=/opt/usr/media
#TZ_USER_CAMERA=$TZ_USER_CONTENT/Camera
#TZ_USER_VIDEOS=$TZ_USER_CONTENT/Videos
#TZ_USER_IMAGES=$TZ_USER_CONTENT/Images
#TZ_USER_SOUNDS=$TZ_USER_CONTENT/Sounds
#TZ_USER_GAMES=$TZ_USER_CONTENT/Games
#TZ_USER_DOCUMENTS=$TZ_USER_CONTENT/Documents
#TZ_USER_OTHERS=$TZ_USER_CONTENT/Others
#TZ_USER_DOWNLOADS=$TZ_USER_CONTENT/Downloads

# Tizen 3 (multi user):
# Internal content's leaf directory should be "media"
TZ_USER_CONTENT=${TZ_USER_HOME}/media
TZ_USER_CAMERA=${TZ_USER_CONTENT}/DCIM
TZ_USER_VIDEOS=${TZ_USER_CONTENT}/Videos
TZ_USER_IMAGES=${TZ_USER_CONTENT}/Images
TZ_USER_SOUNDS=${TZ_USER_CONTENT}/Sounds
TZ_USER_MUSIC=${TZ_USER_CONTENT}/Music
TZ_USER_GAMES=${TZ_USER_CONTENT}/Games
TZ_USER_DOCUMENTS=${TZ_USER_CONTENT}/Documents
TZ_USER_OTHERS=${TZ_USER_CONTENT}/Others
TZ_USER_DOWNLOADS=${TZ_USER_CONTENT}/Downloads
TZ_USER_MEDIASHARED=${TZ_USER_CONTENT}/Shared
